from aiohttp import web
import server
import base64
import handlers
import user

# client = docker.from_env()
# container = client.containers.get('mc')
# for line in container.logs(stream=True):
#     print(line.decode('utf8'))

def main():
    print(base64.urlsafe_b64encode(b"say Hello"))
    app = web.Application()
    app.add_routes([web.post('/server/{server}/start', server.start),
                    web.post('/server/{server}/stop', server.stop),
                    web.post('/server/{server}/status', server.status),
                    web.post('/server/{server}/command/{command}', server.command),
                    web.get('/server/{server}/logs', server.logs),
                    web.get('/user/servers', user.servers),
                    web.get('/', handlers.index)])
    app.router.add_static('/', "/app/public")
    web.run_app(app)

if __name__ == "__main__":
    main()